import '../../stencil.core';
export declare class Drawer {
    map?: HTMLGlMapElement;
    content: string;
    drawerTitle: string;
    mapId: string;
    open: boolean;
    componentDidUpdate(): void;
    toggle(): void;
    hostData(): {
        class: {
            'gl-drawer-closed': boolean;
            'gl-drawer-open': boolean;
        };
    };
    render(): JSX.Element[];
}
